ubuntu/+source/docker.io:ubuntu/zesty-updates

Last commit made on 2017-09-07
Get this branch:
git clone -b ubuntu/zesty-updates https://git.launchpad.net/ubuntu/+source/docker.io
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/zesty-updates
Repository:
lp:ubuntu/+source/docker.io

Recent commits

4c14d06... by Michael Hudson-Doyle on 2017-08-31

Import patches-unapplied version 1.13.1-0ubuntu1~17.04.1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: b15e349cfcab068f2669134a7227a58138c7beb2

New changelog entries:
  * Backport to Zesty. (LP: #1712954)

b15e349... by Tianon Gravi on 2017-08-22

Import patches-unapplied version 1.13.1-0ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d4d9382f1df445f1260f3fc3a309100d195537be

New changelog entries:
  * Update to 1.13.1 upstream release
    - refresh patches (removing many that are applied upstream in 1.13+)
    - use dh_clean (via debian/clean) instead of explicit "rm" in rules
    - pull in explicit libnetwork sources for "docker-proxy"
    - drop unnecessary dh_golang usage (only used for Built-Using calculation)
    - update "upstream-version-gitcommits" with a more recent list of commits
    - add "tini" for building "docker-init" (used by "docker run --init")
    - prefer Go 1.7 explicitly if it's available

d4d9382... by Stéphane Graber on 2017-06-06

Import patches-unapplied version 1.12.6-0ubuntu7 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 4accdaadb290ae6083e974f11920d960b13a8182

New changelog entries:
  * Make sure to set security.nesting for the LXD autopkgtest.

4accdaa... by Stéphane Graber on 2017-06-05

Import patches-unapplied version 1.12.6-0ubuntu6 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 0d4286801a6942b9b753df7d948e04110dab0122

New changelog entries:
  * Fix FTBFS on Go 1.8.

0d42868... by Stéphane Graber on 2017-06-05

Import patches-unapplied version 1.12.6-0ubuntu5 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 04f2a27222dadb5e9c4fde5cef26f4d5b8ca2c51

New changelog entries:
  * Update LXD autopkgtest now that the "docker" profile is deprecated.

04f2a27... by Dimitri John Ledkov on 2017-03-14

Import patches-unapplied version 1.12.6-0ubuntu4 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: d0ce9055b3730b2476712a5d6ba6c2b4c44a7325

New changelog entries:
  * Revert 1.12.6-0ubuntu2 as it does not achieve the stated goal on both
    s390x and armhf. And lxc/lxd adt runners are too restrictive to
    e.g. import an ubuntu-base container for a minimal functional test.

d0ce905... by Tyler Hicks on 2017-03-10

Import patches-unapplied version 1.12.6-0ubuntu3 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 1130eeb060c6d71e3470e635214ef0b48a429976

New changelog entries:
  * debian/tests/docker-in-lxd: Fix a latent version comparison bug that was
    causing migration failures due to the script thinking it was dealing
    with an old LXD (< 2.2) when it was really dealing with a recent LXD
    (>= 2.10). The fix is to use `lxc info` to check if the network extension
    is supported, rather than trying to compare version strings.

1130eeb... by Dimitri John Ledkov on 2017-02-01

Import patches-unapplied version 1.12.6-0ubuntu2 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: b707044f67d4dba3984b621b8fce69e8d364fd57

New changelog entries:
  * Remove isolation-machine restriction from adt smoke-test
    testcase. Should pass on s390x lxd runners; will fails on armhf
    runners but that is not a regressions since previously all tests were
    simply skipped on armhf. LP: #1658150

b707044... by Tianon Gravi on 2017-01-12

Import patches-unapplied version 1.12.6-0ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 7027766b4b23997d23a21bbc2e3034fe9264a6d4

New changelog entries:
  * Update to 1.12.6 upstream release (LP: #1655906)
    - add a few new privileged tests to "skip-privileged-unit-tests.patch"
  * Adjust runc Depends to ensure fix for CVE-2016-9962 is included

7027766... by Michael Hudson-Doyle on 2016-12-11

Import patches-unapplied version 1.12.3-0ubuntu4 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: e3e28479dee00bdd7854cacd69d0f0e810c1f5e1

New changelog entries:
  * Explicity depend on the version of runc that was built with seccomp
    support.